<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "inventario_detalle".
 *
 * @property int $inventario_id
 * @property int $id
 * @property string $pro_codigo
 * @property int $exhibidor
 * @property int $consumido
 * @property int $cantidad
 * @property string $precio_unitario
 *
 * @property Inventario $inventario
 */
class InventarioDetalle extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'inventario_detalle';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['inventario_id', 'id', 'pro_codigo', 'precio_unitario'], 'required'],
            [['inventario_id', 'id', 'exhibidor', 'consumido', 'cantidad'], 'integer'],
            [['precio_unitario'], 'number'],
            [['pro_codigo'], 'string', 'max' => 20],
            [['inventario_id', 'id'], 'unique', 'targetAttribute' => ['inventario_id', 'id']],
            [['inventario_id'], 'exist', 'skipOnError' => true, 'targetClass' => Inventario::className(), 'targetAttribute' => ['inventario_id' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'inventario_id' => 'Inventario ID',
            'id' => 'ID',
            'pro_codigo' => 'Pro Codigo',
            'exhibidor' => 'Exhibidor',
            'consumido' => 'Consumido',
            'cantidad' => 'Cantidad',
            'precio_unitario' => 'Precio Unitario',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getInventario()
    {
        return $this->hasOne(Inventario::className(), ['id' => 'inventario_id']);
    }
}
